package com.kingdee.eas.hr.project;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractProjectRoleInfo extends com.kingdee.shr.base.syssetting.SHRBaseItemInfo implements Serializable 
{
    public AbstractProjectRoleInfo()
    {
        this("id");
    }
    protected AbstractProjectRoleInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:项目角色's 备注property 
     */
    public String getNotes()
    {
        return getString("notes");
    }
    public void setNotes(String item)
    {
        setString("notes", item);
    }
    /**
     * Object: 项目角色 's 类别 property 
     */
    public com.kingdee.eas.hr.project.ProjectTypeInfo getType()
    {
        return (com.kingdee.eas.hr.project.ProjectTypeInfo)get("type");
    }
    public void setType(com.kingdee.eas.hr.project.ProjectTypeInfo item)
    {
        put("type", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("2AC6A40E");
    }
}